Debian Bug report logs - #292393
lynx-cur: don't say 'toggles' without mentioning default state

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Wed, 26 Jan 2005 20:03:01 UTC

Severity: normal

Tags: upstream

Found in version 2.8.6-7

Fixed in version lynx-cur/2.8.6pre4-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#292393; Package lynx-cur. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: don't say 'toggles' without mentioning default state
Date: Thu, 27 Jan 2005 03:26:35 +0800
Package: lynx-cur
Version: 2.8.6-7
Severity: normal
Tags: upstream

Things like
       -cookies
              toggles handling of Set-Cookie headers.
leaves the user guessing what the default state is.
Please check all uses of 'toggles' on the man page.



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#292393. Full text and rfc822 format available.

Message #6 received at 292393-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 292393-submitter@bugs.debian.org
Subject: Re: Bug#292393: lynx-cur: don't say 'toggles' without mentioning default state
Date: Wed, 26 Jan 2005 19:59:19 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 26, 2005 at 09:10:13PM +0100, Dan Jacobson wrote:
> Package: lynx-cur
> Version: 2.8.6-7
> Severity: normal
> Tags: upstream
> 
> Things like
>        -cookies
>               toggles handling of Set-Cookie headers.
> leaves the user guessing what the default state is.
> Please check all uses of 'toggles' on the man page.

better - add a paragraph to the manpage explaining the option syntax.
(a quick check seems to show this detail was neglected).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#292393. Full text and rfc822 format available.

Message #9 received at 292393-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 292393-submitter@bugs.debian.org
Subject: Re: Bug#292393: lynx-cur: don't say 'toggles' without mentioning default state
Date: Wed, 26 Jan 2005 20:01:31 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 26, 2005 at 09:10:13PM +0100, Dan Jacobson wrote:
> Package: lynx-cur
> Version: 2.8.6-7
> Severity: normal
> Tags: upstream
> 
> Things like
>        -cookies
>               toggles handling of Set-Cookie headers.
> leaves the user guessing what the default state is.
> Please check all uses of 'toggles' on the man page.

The default state, btw, is shown in the help message (though you have to
know that, to see it ;-)

For example:

  -accept_all_cookies
                    accept cookies without prompting if Set-Cookie handling
                    is on (off)
                          ^^^^^ (this is the value of the option at the
                                 point when the help message is displayed).


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#292393; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #14 received at 292393@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jidanni@jidanni.org, 292393@bugs.debian.org
Subject: Re: Bug#292393: lynx-cur: don't say 'toggles' without mentioning default state
Date: Tue, 01 Feb 2005 11:13:14 +0900 (JST)
From: Dan Jacobson <jidanni@jidanni.org>
Subject: Bug#292393: lynx-cur: don't say 'toggles' without mentioning default state
Date: Thu, 27 Jan 2005 03:26:35 +0800

> Things like
>        -cookies
>               toggles handling of Set-Cookie headers.
> leaves the user guessing what the default state is.
> Please check all uses of 'toggles' on the man page.

Well, the default states depend on compile time option
and/or runtime option (in lynx.cfg) in many cases so 
I suspect it would be difficult to mention in a manual 
(static) page on the default states.

Thanks for your interest in lynx-cur.

Regards,		    2005-2-1(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#292393; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #19 received at 292393@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 292393@bugs.debian.org
Subject: re: #292393 lynx-cur: don't say 'toggles' without mentioning default state
Date: Thu, 21 Sep 2006 19:18:54 -0400
[Message part 1 (text/plain, inline)]
This (noting where to find the default values)
was documented in the manpage in 2.8.6dev.12

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 292393-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 292393-close@bugs.debian.org
Subject: Bug#292393: fixed in lynx-cur 2.8.6pre4-1
Date: Thu, 21 Sep 2006 20:47:14 -0700
Source: lynx-cur
Source-Version: 2.8.6pre4-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6pre4-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6pre4-1_all.deb
lynx-cur_2.8.6pre4-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre4-1.diff.gz
lynx-cur_2.8.6pre4-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre4-1.dsc
lynx-cur_2.8.6pre4-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre4-1_i386.deb
lynx-cur_2.8.6pre4.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 22 Sep 2006 11:22:23 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6pre4-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 292393 303084 336741 375969
Changes: 
 lynx-cur (2.8.6pre4-1) unstable; urgency=low
 .
   * New Upstream Release.
   * Oops, I forgot to update ca.po in the former package!
     I updated certainly this time.  Sorry and thanks to Jordà Polo
     <jorda@ettin.org>  (Closes: #375969)
   * Some bugs fixed already.
    - Documented in manpage (Closes: #292393)
    - 2006-05-29 (2.8.6dev.18)
      * suppress OpenSSL URL from version message if it happens to be built
        using GNU TLS -TD (Closes: #336741)
    - documented in the lynx_url_support.html file (Closes: #303084)
Files: 
 3965b17c394d1403d8fa6e54038b2d4a 672 web extra lynx-cur_2.8.6pre4-1.dsc
 499784b3bb0dfbdb8e177fbe70a6916f 3181051 web extra lynx-cur_2.8.6pre4.orig.tar.gz
 d684257fb6e90d4746e70c9137380ee1 26097 web extra lynx-cur_2.8.6pre4-1.diff.gz
 c9e5b76e54d595ca178bbf6581f78c1b 14282 web extra lynx-cur-wrapper_2.8.6pre4-1_all.deb
 2dadbb6167400abf3adcc0215aeb1cb8 1964388 web extra lynx-cur_2.8.6pre4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFE1IL1IXdL1v6kOwRArzjAJ934UYqFtdl2YvW/PnqgjKsdXcxygCghJef
zKOoF9hP1y5koXj57MH4djQ=
=6uSy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 04:27:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:01:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.